/*!
* @file Color.cpp
* @brief ゲーム中の色情報を定義する
* @date 2014/03/27
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "Color.h"

namespace Deeangband
{

	Color::Color(int r, int g, int b, int a)
	{
		this->r = r;
		this->g = g;
		this->b = b;
		this->a = a;
	}

	Color::Color(void)
	{
		this->r = 0;
		this->g = 0;
		this->b = 0;
		this->a = 255;
	}

	Color::~Color(void)
	{
	}

	int Color::GetRed(void)
	{
		return this->r;
	}

	int Color::GetGreen(void)
	{
		return this->g;
	}

	int Color::GetBlue(void)
	{
		return this->b;
	}

	int Color::GetAlpha(void)
	{
		return this->a;
	}
	
	void Color::SetColor(int r, int g, int b, int a)
	{
		this->r = r;
		this->g = g;
		this->b = b;
		this->a = a;
	}

}